com.gisgraphy.webapp.action

## Class DebugStreetAction

- java.lang.Object
- - com.opensymphony.xwork2.ActionSupport
  - - com.gisgraphy.webapp.action.DebugStreetAction

- All Implemented Interfaces:
    com.opensymphony.xwork2.Action, com.opensymphony.xwork2.LocaleProvider, com.opensymphony.xwork2.TextProvider, com.opensymphony.xwork2.Validateable, com.opensymphony.xwork2.ValidationAware, Serializable

      public class DebugStreetAction
      extends com.opensymphony.xwork2.ActionSupport

  stats Action
  Author:
    David Masclet
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.opensymphony.xwork2.ActionSupport

      `LOG`

    - ### Fields inherited from interface com.opensymphony.xwork2.Action

      `ERROR, INPUT, LOGIN, NONE, SUCCESS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DebugStreetAction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `execute()`
    `String` | `getMessage()`
    `City` | `getNearestMunicipalityByShape()`
    `City` | `getNearestMunicipalityByVicinity()`
    `City` | `getNearestNonMunicipalityByShape()`
    `City` | `getNearestNonMunicipalityByVicinity()`
    `OpenStreetMap` | `getOpenstreetmap()`
    `Long` | `getOpenstreetmapId()`
    `void` | `setCityDao(ICityDao cityDao)`
    `void` | `setOpenStreetMapDao(IOpenStreetMapDao openStreetMapDao)`
    `void` | `setOpenstreetmapId(Long openstreetmapId)`

    - ### Methods inherited from class com.opensymphony.xwork2.ActionSupport

      `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DebugStreetAction

          public DebugStreetAction()

  - ### Method Detail

    - #### execute

          public String execute()
                         throws Exception

      Specified by:
        `execute` in interface `com.opensymphony.xwork2.Action`
      Overrides:
        `execute` in class `com.opensymphony.xwork2.ActionSupport`
      Throws:
        `Exception`

    - #### getOpenstreetmap

          public OpenStreetMap getOpenstreetmap()

    - #### getOpenstreetmapId

          public Long getOpenstreetmapId()

    - #### setOpenstreetmapId

          public void setOpenstreetmapId(Long openstreetmapId)

    - #### setCityDao

          public void setCityDao(ICityDao cityDao)

    - #### setOpenStreetMapDao

          public void setOpenStreetMapDao(IOpenStreetMapDao openStreetMapDao)

    - #### getNearestMunicipalityByShape

          public City getNearestMunicipalityByShape()

    - #### getNearestNonMunicipalityByShape

          public City getNearestNonMunicipalityByShape()

    - #### getNearestMunicipalityByVicinity

          public City getNearestMunicipalityByVicinity()

    - #### getNearestNonMunicipalityByVicinity

          public City getNearestNonMunicipalityByVicinity()

    - #### getMessage

          public String getMessage()

Copyright © 2015. All rights reserved.